import { RTETableCellAnnotationsAction } from './table-cell-annotations-action';
/**
 * Action to apply annotations to a table head cell.
 */
export class RTETableHeadCellAnnotationsAction extends RTETableCellAnnotationsAction {
  constructor(cellAnnotation, originAnnotation) {
    super(cellAnnotation, originAnnotation);
    this.isFlushable = true;
  }
  /**
   * @inheritDoc
   */
  toAnnotation() {
    this.updateOriginAnnotation();
    return this.originAnnotation;
  }
}
